git 1.6.3 packages for Ubuntu Jaunty

Today git 1.6.3 was released. You can install git 1.6.3 for Ubuntu Jaunty with the use of my repository.

I only build the new version for Ubuntu Jaunty and not for Ubuntu Intrepid. The problem with the Launchpad PPA is that it doesn’t provide any statistics about my PPA, and therefor I don’t have a clue if the Intrepid repository is still being used.
On the AVH Forum I created a poll where you can vote if you want/need the latest version of git for Ubuntu Intrepid.

To vote go to my forum

To add my repository to your system:

  1. Goto System -> Administration -> Software Sources
  2. Click Third-Party Software
  3. Click Add
  4. Fill in the APT line: deb http://ppa.launchpad.net/pdoes/ppa/ubuntu jaunty main
  5. Click Add Source
  6. Click Close
  7. Click Reload

You will also need to add my PPA key:
In a terminal enter the following lines

gpg --keyserver subkeys.pgp.net --recv-key  551CE2FB4CBEDD5A
gpg --armor --export 551CE2FB4CBEDD5A | sudo apt-key add -

The output you’ll see:

gpg: requesting key 4CBEDD5A from hkp server subkeys.pgp.net
gpg: key 4CBEDD5A: public key "Launchpad PPA for Peter van der Does" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)

OK
This article is filed under the category Ubuntu and has the following tags associated with it: , , , , , , , , .
Showing 12 comments
Skip to the end and leave a comment.
  1. Esben Haabendal

    It would be nice if you could add SSL support to make it possible to use git imap-send with imaps servers.

    With your current version, this is what I get:

    esben@eha-laptop:~/src/linux$ git imap-send <0001-i2c-mpc-generate-START-condition-after-STOP-caused.patch
    Resolving imap.gmail.com… ok
    Connecting to 209.85.129.111:993… SSL requested but SSL support not compiled in
    write: Bad file descriptor
    failed to open store

    The same config usd with the git 1.6.2.something I used on my Ubuntu 8.10 installation.

    • Peter

      Git 1.6.3.1 for Ubuntu Jaunty has just been build. This version is compiled with SSL support.

  2. mabed

    How do I add your repository to my system from a terminal. I’m working on remote Jaunty installation. Thanks.

  3. Matthieu

    Thank you so much!

    It’s a shame that Jaunty comes with the 1.6.0.4 version…

    Best regards,
    Matthieu.

  4. Stu

    Yeah, cheers mate, your packages just mean I dont have to build it myself. thanks ++

  5. Sonia

    Thanks for packaging the latest version!

  6. Rob Olson

    Another thank you here. Works great and saved me time!

  7. Jeremy

    having a problem picking up your PPA key…
    $ gpg –keyserver subkeys.pgp.net –recv-key 551CE2FB4CBEDD5A
    gpg: requesting key 4CBEDD5A from hkp server subkeys.pgp.net
    gpgkeys: HTTP fetch error 52: Empty reply from server
    gpg: no valid OpenPGP data found.
    gpg: Total number processed: 0

    • Peter

      Weird, I just tested it and it still works for me, but you can try the following:

      sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 551CE2FB4CBEDD5A

      • Jeremy

        Yeah, still the same. Never mind, I’ve installed git from elsewhere. Thanks…

  8. Millisami

    I was also having the issue with the keyring on Jaunty.
    This fixed for me.
    http://popey.com/blog/2009/06/05/Easy_Script_To_Get_And_Install_PPA_GPG_Keys/

  9.  

Leave a comment

For questions and/or support consider using the forums.